Bug 869149 - grib_api-1.9.18 is available
grib_api-1.9.18 is available
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: grib_api (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
https://software.ecmwf.int/issues/bro...
: FutureFeature, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-23 03:13 EDT by Upstream Release Monitoring
Modified: 2013-10-09 23:41 EDT (History)
3 users (show)

See Also:
Fixed In Version: grib_api-1.11.0-1.fc20
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-09 23:41:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Upstream Release Monitoring 2012-10-23 03:13:11 EDT
Latest upstream release: 1.9.18
Current version in Fedora Rawhide: 1.9.16
URL: http://software.ecmwf.int/wiki/display/GRIB/Releases

Please consult the package updates policy before you issue an update to a stable branch: https://fedoraproject.org/wiki/Updates_Policy

More information about the service that created this bug can be found at:
https://fedoraproject.org/wiki/Upstream_release_monitoring
Comment 1 Orion Poplawski 2012-10-23 23:36:24 EDT
I have this ready to go.  However, upstream added building shared libraries but unfortunately has chosen to use "-release" instead of "-version-info" to version the libraries.  This makes .so's of the name libname-%version.so, and so would require rebuilding everything with each minor release.  I've sent them a message suggesting they use the -version-info method resulting in standard sonames instead.  Holding off until I hear back from them.
Comment 2 Orion Poplawski 2012-10-26 10:58:05 EDT
Upstream is on board with fixing this so I'm going to skip this release and wait for the next.

Note You need to log in before you can comment on or make changes to this bug.